Skip to main content
GET
/
payouts
/
{id}
Get payout
curl --request GET \
  --url https://api.truust.io/2.0/payouts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "self": "/2.0/payouts/789",
  "reference": "<string>",
  "type": "<string>",
  "status": "CREATED",
  "provider": {},
  "created_at": "2023-11-07T05:31:56Z",
  "confirmed_at": "2023-11-07T05:31:56Z",
  "denied_at": "2023-11-07T05:31:56Z",
  "connections": {}
}

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Path Parameters

id
integer
required

Payout ID.

Response

Payout details

id
integer
self
string
Example:

"/2.0/payouts/789"

reference
string | null
type
string

Payout method type (e.g. WALLET, ACCOUNT, BANKWIRE).

status
enum<string>
Available options:
CREATED,
CONFIRMED,
DENIED,
CANCELLED
provider
object
created_at
string<date-time> | null
confirmed_at
string<date-time> | null
denied_at
string<date-time> | null
connections
object

Hypermedia links to related resources.